/**
*	File: mst_accordion.js
*	Author: Wellcom Worldwide
*	Version: 1.0-alpha
*
*	Description:
*
*	This file contains the event listeners that are used for the accordion component
*
*/


$('body').on('click', '.__mst_accordion_title_wrapper', function(ev) {

	/**
	*	Find all and disable
	*/

	var el = $(this);

	var already_active = el.hasClass('active');

	var accordion = el.parents('.__mst_accordion');

	var active = accordion.find('.__mst_accordion_title_icon.active, .__mst_accordion_content.active, .__mst_accordion_title_wrapper.active');

	active.removeClass('active');

	if(!already_active) {
		var target = el.attr('data-ref');

		var targetEl = $(target);
		targetEl.addClass('active');

		el.addClass('active');
		el.find('.__mst_accordion_title_icon').addClass('active');
	}


});
